package com.yihu.jw.restmodel.hospital.doctor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "CheckInfoVO", description = "审药返回药品结果实体")
public class CheckInfoVO {
    @ApiModelProperty(value = "颜色", example = "模块1")
    private String color;
    @ApiModelProperty(value = "警示名称，如：用法用量", example = "模块1")
    private String name;
    @ApiModelProperty(value = "警示级别：\n" +
            "慎用\n" +
            "禁忌/禁用\n" +
            "强制阻断\n", example = "模块1")
    private String warningLevel;
    @ApiModelProperty(value = "警示信息", example = "模块1")
    private String warningInfo;
    @ApiModelProperty(value = "文献出处", example = "模块1")
    private String refResource;

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWarningLevel() {
        return warningLevel;
    }

    public void setWarningLevel(String warningLevel) {
        this.warningLevel = warningLevel;
    }

    public String getWarningInfo() {
        return warningInfo;
    }

    public void setWarningInfo(String warningInfo) {
        this.warningInfo = warningInfo;
    }

    public String getRefResource() {
        return refResource;
    }

    public void setRefResource(String refResource) {
        this.refResource = refResource;
    }
}
